Eclipse Platform Release 3.7

## org.eclipse.ui.views.properties.tabbed
Interface ITabDescriptorProvider

    public interface ITabDescriptorProvider

Represents a tab descriptor provider for the tabbed property view.

Since:
  3.4

Method Summary
`ITabDescriptor[]` `getTabDescriptors(IWorkbenchPart part, ISelection selection)` Returns all tab descriptors.

Method Detail

### getTabDescriptors

    ITabDescriptor[] getTabDescriptors(IWorkbenchPart part,
                                       ISelection selection)

  Returns all tab descriptors.

  Parameters:
    `part` - the workbench part containing the selection
    `selection` - the current selection.
  Returns:
    all section descriptors.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.